      SUBROUTINE CAPS ( STRING )
      CHARACTER *(*) STRING
      INTEGER *4 I, K, OFF
      OFF = ICHAR('A') - ICHAR('a')
      K = LEN(STRING)
      DO 100 I = 1, K
          IF ((STRING(I:I).LE.'z') .AND. (STRING(I:I).GE.'a'))
     $          STRING(I:I) = CHAR( ICHAR(STRING(I:I))+OFF )
  100 CONTINUE
      RETURN
      END

